package com.muzhi.meidiai.service.impl;

import com.dingtalk.api.DefaultDingTalkClient;
import com.dingtalk.api.request.OapiGettokenRequest;
import com.dingtalk.api.response.OapiGettokenResponse;
import com.muzhi.meidiai.service.AccessTokenService;
import com.taobao.api.ApiException;
import org.springframework.stereotype.Service;


/**
 * @Author ZhangKan
 * @Data 15:39
 */

@Service
public class AccessTokenServiceImpl implements AccessTokenService {

    //东航
    //APPKEY
    private static String APPKEY = "ding7ipqcvqvzp0ocg3f";
    //APPSECRET
    private static String APPSECRET = "83bF2reaQ0Ih-TDTIDzAEM-9bWhEZOGN3e3kvXbZZhGAyGaxOaov92Orx0dxbs1G";
    //AgenthId:2069936825

    public static String accessToken = null;


    //获取access_token的方法（美邸艾架构）
    @Override
    public String getAccessToken() {
        DefaultDingTalkClient client = new DefaultDingTalkClient("https://oapi.dingtalk.com/gettoken");
        OapiGettokenRequest request = new OapiGettokenRequest();
        request.setAppkey(APPKEY);
        request.setAppsecret(APPSECRET);
        request.setHttpMethod("GET");
        try {
            OapiGettokenResponse response = client.execute(request);
            accessToken = response.getAccessToken();
            System.out.println("AccessToken：" + accessToken);
        } catch (ApiException e) {
            e.printStackTrace();
        }
        return accessToken;
    }
}
