package com.muzhi.meidiai.service;

import java.util.List;
import java.util.Map;

/**
 * @Author ZhangKan
 * @Data 15:34
 */
public interface DingOaService {

    //获取宜搭审批实例详情（项目信息档案-根据OA审批提交人userid过滤）；【外出】使用。
    List getXiangMuXX(String userid);

    //获取宜搭审批实例详情（项目信息档案-根据连接器加载的项目列表选择某个项目时，加载项目编号、项目名称、项目负责人id、项目负责人名称到指定控件中）；【外出、加班】使用。
    String getXiangMuID(String xmid);

    /*==========================================================================*/

    //OA【离职】审批表单提交校验：判断当前离职审批发起人在宜搭中是否存在未结算项目，如有，则审批不通过，并弹窗提示：当前有未结算项目，请完成项目交接！
    Map getXiangMuJY(String userid);

    //OA【加班】审批表单提交校验：判断当前审批发起人提交【加班】时间是否跨天提交，如有，则审批不通过，并弹窗提示：不能跨天提交！
    Map getTimeJY(String startTime,String endTime);


    /*
     * 保存宜搭表单数据【加班信息档案】
     * */
    String createJBXX(String jbrid,
                      String kssj, String jssj,String jbsc,
                      String xmbh, String xmmc,
                      String jbsy, String djbh);

    //OA【加班】审批表单提交校验：判断当前审批发起人提交【加班】中关联的项目（编号）是否提交过审批（包含已提交、撤销、拒绝），
    // 如有，则审批不通过，并弹窗提示：当前项目你已提交过加班！
    Map getXiangMuIsNullJY(String userid,String xmbh,String startTime,String endTime);

    /*
     * 抓取钉钉出差外勤打卡信息更新至宜搭【出差明细中间表】
     * 出差开始日期、出差结束日期、出差天数、出差补贴（结合岗位补贴标准字段*出差天数）
     * */
    String updateChuchaiA();

    /*
     * 抓取钉钉出差外勤打卡信息更新至宜搭【项目预算档案】
     * 出差开始日期、出差结束日期、出差天数、出差补贴（结合岗位补贴标准字段*出差天数）
     * */
    String updateChuchaiB();
}
